{ config, lib, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../modules/nasp.nix
    ];
  nasp = {
    enable = true;
    gSeries = {
      enable = true;
      serial = 3;
      eth0Name = "eno1";
      eth1Name = "eno2";
      eth2Name = "enp2s0np0";
    };
  };
  networking.hostId = "6693ee3d";
  system.stateVersion = "24.05";
}
